### A free/open-source library for quantitative finance

Public Member Functions
TermStructureConsistentModel Class Reference
Short-rate modelling framework

Term-structure consistent model class. More...

`#include <ql/models/model.hpp>`

Inheritance diagram for TermStructureConsistentModel:
[legend]

List of all members.

## Public Member Functions

| TermStructureConsistentModel (const Handle< YieldTermStructure > &termStructure)
const Handle < YieldTermStructure > & | termStructure () const

## Detailed Description

Term-structure consistent model class.

This is a base class for models that can reprice exactly any discount bond.